Subject: bug#73747: closed ([PATCH 0/2] gnu: Add python-pyglet.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Oct 2024 07:24:02 +0000

Your bug report

#73747: [PATCH 0/2] gnu: Add python-pyglet.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73747: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73747
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH 0/2] gnu: Add python-pyglet.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Sat, 19 Oct 2024 08:21:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as 88471af678959b1eb4e357a47293030d05de8658 to master.

--
Oleg

Subject: [PATCH 0/2] gnu: Add python-pyglet.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Daniel Meißner <[email-masked]>, Adam Kandur <[email-masked]>, Sharlatan Hellseher <[email-masked]>, Adam Faiz <[email-masked]>, Liliana Marie Prikler <[email-masked]>, Morgan Smith <[email-masked]>, jgart <[email-masked]>
Date: Fri, 11 Oct 2024 16:25:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

While checking python-science module for enabling optional packages for
python-trimesh:

-  python-pycollada   ; not packed yet, optional
-  python-pyglet      ; not packed yet, optional

I've packed python-pycollada as a part of Astro update for this month, it
would required to complete long packaging chain.

After check issues for python-pyglet I've found a few attempts to pack it
already in:

- 48467 [PATCH] gnu: Add python-pyglet.
;;; Copyright © 2021 Adam Kandur <[email-masked]>
- 50505 [PATCH 00/12] gnu: Add python-manim
;;; Copyright © 2021 Daniel Meißner <[email-masked]>
- 52116 [PATCH 0/2] gnu: Add printrun.
;;; Copyright © 2021 Morgan Smith <[email-masked]>
- 67131 [PATCH 0/7] gnu: Add tuxemon.
;;; Copyright © 2023 Adam Faiz <[email-masked]>

This patch series introduces a new module - python-graphics (following naming
style taken from rust-team), and the latest python-pyglet with all bindings
implemented. Some tests are disabled, but most of them passed and module loads
successfly.

In the future I'd like to move some related packages from chunky python-xyz
into python-graphics.

Thanks,
Oleg

Sharlatan Hellseher (2):
  gnu: Add packages/python-graphics module.
  gnu: Add python-pyglet.

 gnu/local.mk                     |   1 +
 gnu/packages/python-graphics.scm | 178 +++++++++++++++++++++++++++++++
 2 files changed, 179 insertions(+)
 create mode 100644 gnu/packages/python-graphics.scm

base-commit: 053accdde356eaf84751b16d3aaf1425f410a70b
-- 
2.46.0